List recent calls in the current workspace
curl --request GET \
--url https://api.pineyard.ai/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"status": "<string>",
"source": "<string>",
"disposition": "<string>",
"interestLevel": "<string>",
"attemptNumber": 123,
"outcome": "<string>",
"dialReason": "<string>",
"durationMs": 123,
"queuedAt": "<string>",
"endedAt": "<string>",
"hiddenAt": "<string>",
"hasOpenIssue": true,
"contactName": "<string>",
"company": "<string>",
"doNotCall": true
}
]Calls
List recent calls in the current workspace
GET
/
calls
List recent calls in the current workspace
curl --request GET \
--url https://api.pineyard.ai/calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "<string>",
"agentId": "<string>",
"agentName": "<string>",
"campaignId": "<string>",
"campaignName": "<string>",
"toNumber": "<string>",
"fromNumber": "<string>",
"status": "<string>",
"source": "<string>",
"disposition": "<string>",
"interestLevel": "<string>",
"attemptNumber": 123,
"outcome": "<string>",
"dialReason": "<string>",
"durationMs": 123,
"queuedAt": "<string>",
"endedAt": "<string>",
"hiddenAt": "<string>",
"hasOpenIssue": true,
"contactName": "<string>",
"company": "<string>",
"doNotCall": true
}
]Required scope:
calls.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Query Parameters
Required range:
1 <= x <= 200Required range:
x >= 0Available options:
messaged, needs_reply, replied, read, delivered, failed Response
OK

